| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
InstanceHandleValue_t Struct Reference

`#include <InstanceHandle.hpp>`

## Public Member Functions

template<typename T>
octet & | operator[] (T i) noexcept
| Write access indexing operator.
template<typename T>
octet | operator[] (T i) const noexcept
| Read access indexing operator.
| operator octet * () noexcept
| Write access pointer cast operator.
| operator const octet * () const noexcept
| Read access pointer cast operator.
bool | has_been_set () const noexcept
| Return whether any of the write access operators of this value has been used.
void | clear () noexcept
bool | operator== (const InstanceHandleValue_t &other) const noexcept
| Equality comparison operator.
bool | operator< (const InstanceHandleValue_t &other) const noexcept
| Less than comparisor operator.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline noexcept

## ◆ has_been_set()

bool has_been_set | ( |  | ) | const

inline noexcept

Return whether any of the write access operators of this value has been used.

## ◆ operator const octet *()

operator const octet * | ( |  | ) | const

inline noexcept

Read access pointer cast operator.

Provides a pointer to the start of the raw data.

Remarks
  Do not use this method to check if this value has been set. Use method has_been_set() instead.

## ◆ operator octet *()

operator octet * | ( |  | ) |

inline noexcept

Write access pointer cast operator.

Provides a pointer to the start of the raw data.

Postcondition
  Method has_been_set() returns `true`.

Remarks
  Do not use this method to check if this value has been set. Use method has_been_set() instead.

## ◆ operator<()

bool operator< | ( | const InstanceHandleValue_t & | other | ) | const

inline noexcept

Less than comparisor operator.

## ◆ operator==()

bool operator== | ( | const InstanceHandleValue_t & | other | ) | const

inline noexcept

Equality comparison operator.

## ◆ operator[]() [1/2]

template<typename T>

octet operator[] | ( | T | i | ) | const

inline noexcept

Read access indexing operator.

Provides the byte value at position `i`.

Parameters

  [in] | i | index of the byte to return.

Remarks
  Do not use this method to check if this value has been set. Use method has_been_set() instead.

## ◆ operator[]() [2/2]

template<typename T>

octet & operator[] | ( | T | i | ) |

inline noexcept

Write access indexing operator.

Provides a reference to the byte value at position `i`.

Parameters

  [in] | i | index of the byte to return.

Postcondition
  Method has_been_set() returns `true`.

Remarks
  Do not use this method to check if this value has been set. Use method has_been_set() instead.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/common/InstanceHandle.hpp